
* {
    box-sizing: border-box;
    margin: 0;
    padding: 0;
}

body {
    font-family: "Lato", sans-serif;
}

.header-navbar {
    min-height: 56px;
    padding: 0;
}

.row {
    display: flex;
    -ms-flex-wrap: wrap;
    flex-wrap: wrap;
    margin-right: -15px;
    margin-left: -15px;
}

.pcoded-header {
    background: #fff;
    z-index: 1028;
    width: 100%;
    -webkit-box-shadow: 0 0 11px rgba(0, 0, 0, 0.13);
    box-shadow: 0 0 11px rgba(0, 0, 0, 0.13);
}

.mt-4 {
    margin-top: 1.5rem !important;
}

.container-fluid {
    margin-right: auto;
    margin-left: auto;
    padding-right: 15px;
    padding-left: 15px;
    max-width: 1140px;
    text-align: center;
}

#checkout-progress {
    width: 90%;
    margin: 0px auto;
    font-size: 2.5em;
    font-weight: 900;
    position: relative;
}
.col-sm-12 {
    -webkit-box-flex: 0;
    -ms-flex: 0 0 100%;
    flex: 0 0 100%;
    max-width: 100%;
    padding-right: 15px;
    padding-left: 15px;
}

@media (max-width: 767px) {
    #checkout-progress {
        font-size: 1.5em;
    }
}

#checkout-progress:before {
    content: "";
    position: absolute;
    left: 0;
    top: 50%;
    height: 4px;
    width: 100%;
    background-color: #ccc;
    -webkit-transform: translateY(-50%) perspective(1000px);
    transform: translateY(-50%) perspective(1000px);
}

#checkout-progress:after {
    content: "";
    position: absolute;
    left: 0;
    top: 50%;
    height: 4px;
    width: 150%;
    background-image: linear-gradient(136deg, rgb(242, 113, 33) 0%, rgb(233, 64, 87) 50%, rgb(138, 35, 135) 100%);
    box-shadow: rgba(0, 0, 0, 0.25) 0px 4px 10px 0px;
    -webkit-transform: scaleX(0) translateY(-50%) perspective(1000px);
    transform: scaleX(0) translateY(-50%) perspective(1000px);
    -webkit-transform-origin: left center;
    transform-origin: left center;
    transition: -webkit-transform 0.5s ease;
    transition: transform 0.5s ease;
    transition: transform 0.5s ease, -webkit-transform 0.5s ease;
}

#checkout-progress.step-2:after {
    -webkit-transform: scaleX(0.333) translateY(-50%) perspective(1000px);
    transform: scaleX(0.333) translateY(-50%) perspective(1000px);
}

#checkout-progress.step-3:after {
    -webkit-transform: scaleX(0.666) translateY(-50%) perspective(1000px);
    transform: scaleX(0.666) translateY(-50%) perspective(1000px);
}

#checkout-progress .progress-bar {
    width: 100%;
    display: flex;
    height: 100px;
    justify-content: space-between;
    align-items: center;
}

#checkout-progress .progress-bar .step {
    z-index: 2;
    position: relative;
}

#checkout-progress .progress-bar .step .step-label {
    position: absolute;
    top: calc(100% + 10px);
    left: 50%;
    -webkit-transform: translateX(-50%) perspective(1000px);
    transform: translateX(-50%) perspective(1000px);
    /* white-space: nowrap; */
    /* font-size: 0.4em; */
    font-size: 12px;
    font-weight: 600;
    color: #888787;
    /* color: #ccc; */
    transition: 0.3s ease;
}

#checkout-progress .progress-bar .step .step-label .active {
    color: #2C3E50 !important;
}

@media (max-width: 767px) {
    #checkout-progress .progress-bar .step .step-label {
        top: calc(100% + 15px);
    }
}

#checkout-progress .progress-bar .step span {
    color: #ccc;
    transition: 0.3s ease;
    display: block;
    -webkit-transform: translate3d(0, 0, 0) scale(1) perspective(1000px);
    transform: translate3d(0, 0, 0) scale(1) perspective(1000px);
}

#checkout-progress .progress-bar .step .fa-check {
    color: #fff;
    position: absolute;
    left: 50%;
    top: 50%;
    transition: -webkit-transform 0.3s ease;
    transition: transform 0.3s ease;
    transition: transform 0.3s ease, -webkit-transform 0.3s ease;
    -webkit-transform: translate3d(-50%, -50%, 0) scale(0) perspective(1000px);
    transform: translate3d(-50%, -50%, 0) scale(0) perspective(1000px);
}

#checkout-progress .progress-bar .step.valid .fa-check {
    -webkit-transform: translate3d(-50%, -50%, 0) scale(1) perspective(1000px);
    transform: translate3d(-50%, -50%, 0) scale(1) perspective(1000px);
}

#checkout-progress .progress-bar .step.valid .step-label {
    color: #2C3E50 !important;
}

#checkout-progress .progress-bar .step:after {
    content: "";
    position: absolute;
    z-index: -1;
    left: 50%;
    top: 50%;
    -webkit-transform: translate(-50%, -50%) perspective(1000px);
    transform: translate(-50%, -50%) perspective(1000px);
    background-color: #ccc;
    transition: 0.3s ease;
    /* background-color: rgb(204, 204, 204); */
    /* z-index: 1; */
    color: rgb(255, 255, 255);
    width: 50px;
    height: 50px;
    display: flex;
    border-radius: 50%;
    -webkit-box-pack: center;
    justify-content: center;
    -webkit-box-align: center;
    align-items: center;
    background-image: linear-gradient(136deg, rgb(242, 113, 33) 0%, rgb(233, 64, 87) 50%, rgb(138, 35, 135) 100%);
    box-shadow: rgba(0, 0, 0, 0.25) 0px 4px 10px 0px;
}

@media (max-width: 767px) {
    #checkout-progress .progress-bar .step:after {
        width: 40px;
        height: 40px;
    }
}


.button-container {
    display: flex;
    flex-wrap: wrap;
    justify-content: space-around;
    width: 100%;
    margin: 100px auto 0px;
}

.button-container .btn {
    display: inline-block;
    background-color: #2C3E50;
    color: #fff;
    padding: 10px 15px;
    border-radius: 10px;
    text-transform: uppercase;
    font-weight: 900;
    border: 3px solid #2C3E50;
    transition: 0.3s ease;
    cursor: pointer;
    text-align: center;
}

@media (max-width: 767px) {
    .button-container .btn {
        width: 100%;
        margin-bottom: 15px;
    }
}

.button-container .btn:hover {
    background-color: transparent;
    color: #2C3E50;
    -webkit-transform: scale(1.02) perspective(1000px);
    transform: scale(1.02) perspective(1000px);
}

@media (min-width: 1200px) {
    .col-xl-3 {
        -webkit-box-flex: 0;
        -ms-flex: 0 0 25%;
        flex: 0 0 25%;
        max-width: 25%;
        padding-right: 15px;
        padding-left: 15px;
    }
}

@media (min-width: 768px) {
    .col-sm-6 {
        -webkit-box-flex: 0;
        -ms-flex: 0 0 50%;
        flex: 0 0 50%;
        max-width: 50%;
        padding-right: 15px;
        padding-left: 15px;
    }
    .col-md-7 {
        -webkit-box-flex: 0;
        -ms-flex: 0 0 58.333333%;
        flex: 0 0 58.333333%;
        max-width: 58.333333%;
    }



    .col-md-4 {
        -webkit-box-flex: 0;
        -ms-flex: 0 0 33.333333%;
        flex: 0 0 33.333333%;
        max-width: 33.333333%;
        padding-right: 15px;
        padding-left: 15px;
    }
    .col-md-8 {
        -webkit-box-flex: 0;
        -ms-flex: 0 0 66.666667%;
        flex: 0 0 66.666667%;
        max-width: 66.666667%;
        padding-right: 15px;
        padding-left: 15px;
    }
    .col-md-2 {
        -webkit-box-flex: 0;
        -ms-flex: 0 0 16.666667%;
        flex: 0 0 16.666667%;
        max-width: 16.666667%;
        padding-right: 15px;
        padding-left: 15px;
    }
    .col-md-3 {
        -webkit-box-flex: 0;
        -ms-flex: 0 0 25%;
        flex: 0 0 25%;
        max-width: 25%;
        padding-right: 15px;
        padding-left: 15px;
    }
    .custom-container-productlist {
        display: grid;
        grid-template-columns: repeat(auto-fill, minmax(270px, 1fr));
        gap: 20px;
        max-width: 1200px;
        margin: 0 auto;
        padding: 20px;
        position: relative;
        overflow: visible;
        z-index: 1;
      }
}

.card {
    position: relative;
    display: -ms-flexbox;
    display: flex;
    -ms-flex-direction: column;
    flex-direction: column;
    min-width: 0;
    word-wrap: break-word;
    background-color: #fff;
    background-clip: border-box;
    border: 1px solid rgba(0, 0, 0, .125);
    border-radius: .5rem;
    padding: 20px;
}

.card:hover {
    transform: scale(1.05);
    transition: transform .2s ease-in-out;
}


.content {
    text-align: center;
    display: flex;
    justify-content: center;
    align-items: center;
    margin: 16px 0px 0px;
    line-height: 1.5;
    font-size: 1rem;
    font-family: "Public Sans", sans-serif;
    font-weight: 400;
}

.inline-content {
    text-align: center;
    display: flex;
    justify-content: center;
    align-items: center;
}

.cancel {
    text-decoration: line-through;
    margin-right: 5px;
}

.button-75 {
    align-items: center;
    background-image: linear-gradient(135deg, #f34079 40%, #fc894d);
    border: 0;
    border-radius: 10px;
    box-sizing: border-box;
    color: #fff;
    cursor: pointer;
    display: flex;
    flex-direction: column;
    font-family: Codec cold, sans-serif;
    font-size: 16px;
    font-weight: 700;
    height: 47px;
    justify-content: center;
    letter-spacing: .4px;
    line-height: 1;
    max-width: 100%;
    padding-left: 20px;
    padding-right: 20px;
    padding-top: 3px;
    text-decoration: none;
    text-transform: uppercase;
    touch-action: manipulation;
    user-select: none;
    -webkit-user-select: none;
}
.button-75:disabled{
    background-image: linear-gradient(135deg, #f3407970 40%, #fc894d70);
}
.input-field {
    position: relative;
}

.input-field input,.input-field select  {
    width: 100%;
    height: 60px;
    border-radius: 6px;
    font-size: 18px;
    padding: 0 15px;
    border: 2px solid #7d7d7d;
    background: transparent;
    color: #7d7d7d;
    outline: none;
}

.input-field label {
    position: absolute;
    top: 50%;
    left: 15px;
    transform: translateY(-50%);
    color: #7d7d7d;
    font-size: 19px;
    pointer-events: none;
    transition: 0.3s;
}

input:hover {
    border: 2px solid black;
    color: black;
}

input:focus,select:focus {
    border: 2px solid #e74c3c;
}

input:focus~label,
input:valid~label {
    top: 0;
    left: 15px;
    font-size: 16px;
    padding: 0 2px;
    background: #f3f3f3;
    color: #e74c3c;
}
